Overview | Modules | Class Hierarchy | Classes | Members

Static Public Member Functions
tlp::PointType Class Reference

`#include <PropertyTypes.h>`

Inheritance diagram for tlp::PointType:
[legend]
Collaboration diagram for tlp::PointType:
[legend]

List of all members.

## Static Public Member Functions

- static RealType undefinedValue ()
- static RealType defaultValue ()
- static bool read (std::istream &, RealType &)
- static bool fromString (RealType &, const std::string &)

## Member Function Documentation

static RealType tlp::PointType::defaultValue | ( |  | ) | `[static]`

Reimplemented from tlp::TypeInterface< tlp::Coord >.

static bool tlp::PointType::fromString | ( | RealType & | ,
|  | const std::string & |
| ) |  | `[static]`

Reimplemented from tlp::TypeInterface< tlp::Coord >.

static bool tlp::PointType::read | ( | std::istream & | ,
|  | RealType & |
| ) |  | `[static]`

Reimplemented from tlp::TypeInterface< tlp::Coord >.

static RealType tlp::PointType::undefinedValue | ( |  | ) | `[static]`

Reimplemented from tlp::TypeInterface< tlp::Coord >.

Tulip Software by LaBRI Visualization Team 2001 - 2012